Last Comment Bug 695463 - Native Android Sync implementation, to integrate with Native Fennec
: Native Android Sync implementation, to integrate with Native Fennec
Status: VERIFIED FIXED
[birch]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
P1 normal with 1 vote (vote)
: ---
Assigned To: Richard Newman [:rnewman]
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on: 704490 704682 705763 705765 705767 707636 708151 709655
Blocks: 709339
  Show dependency treegraph
 
Reported: 2011-10-18 12:51 PDT by Erin Lancaster [:elan]
Modified: 2012-08-15 08:30 PDT (History)
27 users (show)
dveditz: sec‑review+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments

Description User image Erin Lancaster [:elan] 2011-10-18 12:51:37 PDT
Use system service / new Account

    Save history, bookmarks, there

    consider saving password there too -- maybe use our profile

    Doesn't syncing to shared DBs give Stock Browser an advantage? Firefox would need to become more compelling, or users would just use the Staock Browser with the Sync data
Comment 1 User image Kevin Brosnan [:kbrosnan] 2011-10-19 10:33:13 PDT
jvoll said the code work was going to live at https://github.com/jvoll/fennec-sync/ to start.
Comment 2 User image Philipp von Weitershausen [:philikon] 2011-10-19 10:39:24 PDT
(In reply to Kevin Brosnan [:kbrosnan] from comment #1)
> jvoll said the code work was going to live at
> https://github.com/jvoll/fennec-sync/ to start.

Correct. We're going to work in a Sync client library for Android first while other things like storage and UX can be worked out at the product level.
Comment 3 User image Jason Voll [:jvoll] 2011-10-21 14:33:28 PDT
The code is now living in the mozilla-services group on github instead: 
https://github.com/mozilla-services/fennec-sync

Documentation on this project will live here:
https://wiki.mozilla.org/Services/FennecSyncClient
Comment 4 User image Jason Voll [:jvoll] 2011-10-21 16:06:03 PDT
One more change...we wanted to rename the project so here is the updated repo:
https://github.com/mozilla-services/android-sync

and documentation: https://wiki.mozilla.org/Services/AndroidSyncClient
Comment 5 User image Richard Newman [:rnewman] 2011-11-15 10:24:31 PST
(In reply to Jason Voll from comment #4)

> and documentation: https://wiki.mozilla.org/Services/AndroidSyncClient

https://wiki.mozilla.org/Services/AndroidSyncFP
Comment 6 User image Ian Melven :imelven 2011-11-22 15:45:10 PST
sec review happened - https://wiki.mozilla.org/Security/Reviews/Mobile/AndroidSync

we still need to follow up with a review for what ends up being decided for password storage - is there a bug for that ? the feature page at https://wiki.mozilla.org/Services/AndroidPasswordStorageFP is currently empty.
Comment 7 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-11-22 16:51:41 PST
(In reply to Ian Melven :imelven from comment #6)
> sec review happened -
> https://wiki.mozilla.org/Security/Reviews/Mobile/AndroidSync
> 
> we still need to follow up with a review for what ends up being decided for
> password storage - is there a bug for that ? the feature page at
> https://wiki.mozilla.org/Services/AndroidPasswordStorageFP is currently
> empty.

Password storage is bug 704682. Passwords will be stored in the Firefox profile (the way it works everywhere now). Firefox will provide a means for Sync to access and update that DB.
Comment 8 User image Ian Melven :imelven 2011-11-22 16:54:29 PST
(In reply to Mark Finkle (:mfinkle) from comment #7)
> (In reply to Ian Melven :imelven from comment #6)
> > sec review happened -
> > https://wiki.mozilla.org/Security/Reviews/Mobile/AndroidSync
> > 
> > we still need to follow up with a review for what ends up being decided for
> > password storage - is there a bug for that ? the feature page at
> > https://wiki.mozilla.org/Services/AndroidPasswordStorageFP is currently
> > empty.
> 
> Password storage is bug 704682. Passwords will be stored in the Firefox
> profile (the way it works everywhere now). Firefox will provide a means for
> Sync to access and update that DB.

Thanks Mark - that bug is exactly what i was looking for - that's the part of syncing the secteam is most interested in after the sec review for the work covered by this bug.
Comment 9 User image Richard Newman [:rnewman] 2011-11-23 10:59:05 PST
Seems like I ought to start filing a whole big tree of bugs…
Comment 10 User image Michael Monreal [:monreal] 2011-12-21 12:17:37 PST
Has the possibility to make this Sync implementation for Android also sync contact data been discussed yet? IMHO this would be huge. For a fact I know A LOT of people who don't like having to sync their contacts to the Google cloud and would feel much better syncing to (encrypted storage hosted by) Mozilla.

The contacts data could also be read by Thunderbird. Also, having a simple web interface for editing contacts would be cool, too (and a great way to demo DOM crypto APIs)
Comment 11 User image Richard Newman [:rnewman] 2011-12-21 14:16:42 PST
(In reply to Michael Monreal [:monreal] from comment #10)
> Has the possibility to make this Sync implementation for Android also sync
> contact data been discussed yet? IMHO this would be huge. For a fact I know
> A LOT of people who don't like having to sync their contacts to the Google
> cloud and would feel much better syncing to (encrypted storage hosted by)
> Mozilla.

It's not something I've given serious thought to. There's a lot of work to do before we even have parity with the existing Sync implementation, let alone new feature work.

It's absolutely possible, though. Android Sync is a regular Android sync adapter, so it could grab data from anywhere on the device.
 
> The contacts data could also be read by Thunderbird. Also, having a simple
> web interface for editing contacts would be cool, too (and a great way to
> demo DOM crypto APIs)

That's unlikely to happen for more involved reasons. Remember, server data is encrypted.
Comment 12 User image Richard Newman [:rnewman] 2012-01-25 20:40:17 PST
Calling this done; we have a bug component for this now.
Comment 13 User image Andreea Pod 2012-04-06 10:02:14 PDT
Verified fixed.
Build: Firefox 14.0a1 (2012-04-06)
Device: LG Optimus 2X (Android 2.2)

Note You need to log in before you can comment on or make changes to this bug.